## mx-tweak 18.12.01

=== debian/changelog ===
mx-tweak (18.12.01) mx; urgency=medium

  * fix to ellipse fuctions 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 24 Dec 2018 20:47:41 -0500

mx-tweak (18.11.02) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 30 Nov 2018 19:37:21 -0500

mx-tweak (18.11.01) mx; urgency=medium

  * disable hibernate option when swap encrypted 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 26 Nov 2018 22:09:28 -0500

mx-tweak (18.10.01) mx; urgency=medium

  * updated translations 

 -- dolphin <dolphinoracle@gmail.com>  Sun, 14 Oct 2018 19:46:17 -0400

mx-tweak (18.08.02) mx; urgency=medium

  * updated translations 

 --  dolphin oracle <dolphin@mx>  Sun, 26 Aug 2018 10:47:48 -0400

mx-tweak (18.08.01) mx; urgency=medium

  *  revised policy file
  *  revised bash "library" file  
  *  added "window buttons" tasklist function
  *  use pkexec instead of gksu

 --  dolphin oracle <dolphinoracle@gmail.com>  Fri, 17 Aug 2018 21:12:14 -0400
 

mx-tweak (18.08) mx; urgency=medium

  * fix icon other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 23:26:35 -0400

mx-tweak (18.06.01) mx; urgency=medium

  * update locales

 --  <dolphin@mx>  Mon, 25 Jun 2018 21:28:10 -0400

mx-tweak (18.05.01) mx; urgency=medium

  * update to panel color changer array values (uint vs. int) 

 --  <dolphin@mx>  Sat, 12 May 2018 16:10:16 -0400

mx-tweak (18.04.01) mx; urgency=medium

  * updated translations and 20-intel.conf 

 --  <dolphinoracle@gmail.com>  Sat, 07 Apr 2018 19:34:34 -0400

mx-tweak (18.03.02) mx; urgency=medium

  * tweak whisker theme problem
  * added 20-intel.conf override

 --  <dolphinoracle@gmail.com>  Sat, 31 Mar 2018 11:15:24 -0400

mx-tweak (18.03.01) mx; urgency=medium

  *  bump changelog, new translations

 --  <dolphin@littlebyte>  Fri, 02 Mar 2018 22:33:31 -0500

mx-tweak (18.02.01) mx; urgency=medium

  * new config options tab and new translations 

 --  <dolphin@littlebyte>  Tue, 20 Feb 2018 20:36:04 -0500

mx-tweak (17.12.03) mx; urgency=medium

  * updating translations

 -- dolphinoracle <dolphinoracle@gmail.com>  Tue, 12 Dec 2017 18:21:51 -0500

mx-tweak (17.12.02) mx; urgency=medium

  * added french help files 

 -- dolphinoracle <dolphinoracle@gmail.com>  Mon, 11 Dec 2017 20:34:30 -0500

mx-tweak (17.12.01) mx; urgency=medium

  * use QDialog instead of QMainWindow

 -- dolphinoracle <dolphinoracle@gmail.com>  Sat, 09 Dec 2017 16:48:32 -0500
 

mx-tweak (17.12) UNRELEASED; urgency=medium

  * fixed swap test 

 -- dolphinoracle <dolphinoracle@gmail.com>  Mon, 04 Dec 2017 04:01:56 -0500

mx-tweak (17.11.07) mx; urgency=medium

  * and more hibernate adjustments 

 -- dolphinoracle <dolphinoracle@gmail.com>  Sun, 03 Dec 2017 19:37:12 -0500
 

mx-tweak (17.11.06) mx; urgency=medium

  * further hibernate adjustments 

 -- dolphinoracle <dolphin@mx1>  Fri, 01 Dec 2017 22:00:15 -0500

mx-tweak (17.11.05) mx; urgency=medium

  * updated help button
  * add initrd update to hibernate 

 -- dolphinoracle <dolphin@littlebyte>  Thu, 30 Nov 2017 18:45:27 -0500

mx-tweak (17.11.04) mx; urgency=medium

  * minor update to hibernate text

 -- dolphinoracle <dolphin@littlebyte>  Tue, 28 Nov 2017 17:55:23 -0500

mx-tweak (17.11.03) mx; urgency=medium

  * add hibernate switch
  
 -- dolphinoracle <dolphinoracle@gmail.com>  Mon, 27 Nov 2017 21:15:24 -0400

mx-tweak (17.11.02) mx; urgency=medium

  * add theme preview feature
  
 -- dolphinoracle <dolphinoracle@gmail.com>  Fri, 24 Nov 2017 20:43:17 -0400

mx-tweak (17.11.01) mx; urgency=medium

  * fix for backup, restore, and restore defualt options
  * fix tooltip on Xfce compositor (thanks Old Giza)
  
 -- dolphinoracle <dolphinoracle@gmail.com>  Tue, 21 Oct 2017 21:26:52 -0400
 

mx-tweak (17.10.03) mx; urgency=medium

  * added option for long file names on desktop
  
 -- dolphinoracle <dolphinoracle@gmail.com>  Thu, 19 Oct 2017 19:55:12 -0400

mx-tweak (17.10.02) mx; urgency=medium

  * new icon

 -- dolphinoracle <dolphinoracle@gmail.com>  Fri, 13 Oct 2017 21:46:12 -0400

mx-tweak (17.10.01) mx; urgency=medium

  * smaller icon

 -- dolphinoracle <dolphinoracle@gmail.com>  Sun, 01 Oct 2017 18:21:12 -0400

mx-tweak (17.09.01) mx; urgency=medium

  * disable compositor selection if compiz is running

 -- dolphinoracle <dolphinoracle@gmail.com>  Mon, 25 Sep 2017 05:53:12 -0400

mx-tweak (17.07.03) mx; urgency=medium

  * misc. changes

 -- dolphinoracle <dolphinoracle@gmail.com>  Sat, 16 Sep 2017 11:05:12 -0400

mx-tweak (17.07.02) mx; urgency=medium

  * misc. changes

 -- dolphinoracle <dolphinoracle@gmail.com>  Mon, 04 Sep 2017 11:05:12 -0400

mx-tweak (17.07.01) mx; urgency=medium

  * misc. changes

 -- dolphinoracle <dolphinoracle@gmail.com>  Sun, 03 Sep 2017 10:05:12 -0400

mx-tweak (17.07) mx; urgency=medium

  * initial commit

 -- dolphinoracle <dolphinoracle@gmail.com>  Sat, 21 Jun 2017 10:20:12 -0400

## mx-tweak 19.01.01

=== debian/changelog ===
mx-tweak (19.01.01) mx; urgency=medium

  * add check for theme existence before listing theme set

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 13 Jan 2019 12:03:12 -0500

## mx-tweak 19.01.02

=== debian/changelog ===
mx-tweak (19.01.02) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 23 Jan 2019 18:49:17 -0500

## mx-tweak 19.02.01

=== debian/changelog ===
mx-tweak (19.02.01) mx; urgency=medium

  * added tearfree options for radeon and amdgpu
  * adjusted intel detction 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 17 Feb 2019 12:28:41 -0500

## mx-tweak 19.03.02

=== debian/changelog ===
mx-tweak (19.03.02) mx; urgency=medium

  * revised radeon and amdgpu driver check 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 03 Mar 2019 10:49:35 -0500

mx-tweak (19.03.01) mx; urgency=medium

  * fix video driver check for multiple card machines 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 01 Mar 2019 20:48:09 -0500

mx-tweak (19.02.02) mx; urgency=medium

  * change driver check
  * update localisations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 25 Feb 2019 21:35:11 -0500

## mx-tweak 19.04.01

=== debian/changelog ===
mx-tweak (19.04.01) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 05 Apr 2019 18:38:29 -0400

## mx-tweak 19.04.03

=== debian/changelog ===
mx-tweak (19.04.03) mx; urgency=medium

  * adjust hexchat.conf to remove specific user names 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 08 May 2019 19:14:40 -0400

## mx-tweak 19.05.01

=== debian/changelog ===
mx-tweak (19.05.01) mx; urgency=medium

  * revised lightdm default reset lib

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 29 May 2019 19:24:25 -0400

## mx-tweak 19.05.04

=== debian/changelog ===
mx-tweak (19.05.04) mx; urgency=medium

  * local help files 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 21 Aug 2019 21:14:50 -0400

mx-tweak (19.05.03) mx; urgency=medium

  * added theme set creation and removal (nite coder)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 08 Aug 2019 19:45:07 -0400

## mx-tweak 19.05.05

=== debian/changelog ===
mx-tweak (19.05.05) mx; urgency=medium

  * fix for invalid message on theme removal (nite coder) 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 22 Sep 2019 21:13:01 -0400

## mx-tweak 22.12.01mx21

=== translations-desktop-file/Makefile ===
#!/usr/bin/make -f

PKGNAM := $(basename $(dirname $(pwd)))-desktop

BUILD  := ././build
PO_DIR := ./po
XDGDIR := ./desktop-in

DESKTOP_IN := $(wildcard $(XDGDIR)/*.desktop.in)
DESKTOP    := $(addprefix $(BUILD)/,$(notdir $(basename $(DESKTOP_IN))))

ifneq ($(strip $(LINGUAS)),)
  LINGUAS := $(sort $(LINGUAS))
  $(file >$(PO_DIR)/LINGUAS)
  $(foreach po,$(LINGUAS),$(file >>$(PO_DIR)/LINGUAS,$(po)))
else ifneq ($(wildcard $(PO_DIR)/LINGUAS),)
  LINGUAS := $(sort $(strip $(shell grep '^[[:space:]]*[a-z]' $(PO_DIR)/LINGUAS)))
else
  LINGUAS := $(sort $(basename $(notdir $(wildcard $(PO_DIR)/*.po))))
  $(foreach po,$(LINGUAS),$(file >>$(PO_DIR)/LINGUAS,$(po)))
endif

all: clean desktop

locale: $(LOCALE)

$(BUILD)/locale/%/$(LCMSGS): $(PO_DIR)/%.po
	@mkdir -p $(BUILD)/locale/$*/LC_MESSAGES
	@echo "  " $@ 
	@msgfmt $< -o $@ 

desktop: $(DESKTOP)

$(BUILD)/%.desktop: $(XDGDIR)/%.desktop.in
	@mkdir -p $(BUILD)/
	@echo "  " $@ 
	msgfmt --desktop --template $< -d $(PO_DIR) -o $@ 
	@sed -i '/^#/d' $@
	@sed -i 's/\[.*_/\[/' $@

clean:
	-@rm  -f $(DESKTOP)
	-@rm -rf $(BUILD)

.PHONY: all clean desktop

## mx-tweak 19.05.06

=== debian/changelog ===
mx-tweak (19.05.06) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 28 Sep 2019 15:03:16 -0400

=== debian/control ===
Source: mx-tweak
Section: admin
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>=7.0.50~), qtbase5-dev, qttools5-dev-tools
Standards-Version: 3.9.5
Vcs-Git: git://github.com/mxlinux/mx-tweak.git

Package: mx-tweak
Architecture: any
Depends: compton,
         compton-conf,
         mx-tweak-data,
         mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MX Tweak
 MX Tweak is a tool for quick tweaks to the Xfce environment supplied with MX Linux

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease mx-tweak.pro
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_usrlocal:

%:
	dh $@ --parallel

## mx-tweak 19.05.07

=== debian/changelog ===
mx-tweak (19.05.07) mx; urgency=medium

  * fix typo 
  * adjust help file

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 09 Oct 2019 20:28:02 -0400

## mx-tweak 19.05.08

=== debian/changelog ===
mx-tweak (19.05.08) mx; urgency=medium

  * fix for custom theme sets when themes are in home folder 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 23 Oct 2019 22:16:44 -0400

## mx-tweak 19.05.09

=== debian/changelog ===
mx-tweak (19.05.09) mx; urgency=medium

  * fix remove theme combo box building

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 24 Oct 2019 17:39:58 -0400

## mx-tweak 19.06.04

=== debian/changelog ===
mx-tweak (19.06.04) mx; urgency=medium

  * updated flipto_ routines to look for pa plugin 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 25 Jun 2019 20:58:19 -0400

mx-tweak (19.06.03) mx; urgency=medium

  * update no-ellipse-desktop-filenames for gtk3 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 22 Jun 2019 16:03:38 -0400

mx-tweak (19.06.02) mx; urgency=medium

  * revised flip to horizontal to deal with all 3 xfce clock plugins 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 04 Jun 2019 19:53:35 -0400

mx-tweak (19.06.01) mx; urgency=medium

  * gtk3 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 29 May 2019 19:27:06 -0400

## mx-tweak 19.07.01

=== debian/changelog ===
mx-tweak (19.07.01) mx; urgency=medium

  * revised flip-to-vertical 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 04 Jul 2019 09:36:06 -0400

## mx-tweak 19.07.02

=== debian/changelog ===
mx-tweak (19.07.02) mx; urgency=medium

  * new icon 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 08 Jul 2019 20:25:52 -0400

## mx-tweak 19.08.02

=== debian/changelog ===
mx-tweak (19.08.02) mx; urgency=medium

  * misc. revisions 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 12 Aug 2019 20:55:48 -0400

mx-tweak (19.08.01) mx; urgency=medium

  * allow custom theme set creation and deletion (nite coder)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 08 Aug 2019 19:33:58 -0400

## mx-tweak 19.08.03

=== debian/changelog ===
mx-tweak (19.08.03) mx; urgency=medium

  * added xfwm4 vblank control (compositor tab) 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 18 Aug 2019 15:04:25 -0400

## mx-tweak 19.08.04

=== debian/changelog ===
mx-tweak (19.08.04) mx; urgency=medium

  * local help files 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 21 Aug 2019 21:18:40 -0400

## mx-tweak 19.08.05

=== debian/changelog ===
mx-tweak (19.08.05) mx; urgency=medium

  * update help file for latest features 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 22 Aug 2019 18:49:55 -0400

## mx-tweak 19.08.06

=== debian/changelog ===
mx-tweak (19.08.06) mx; urgency=medium

  * add tooltip to vblank 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 23 Aug 2019 18:40:11 -0400

## mx-tweak 19.08.07

=== debian/changelog ===
mx-tweak (19.08.07) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 27 Aug 2019 21:32:33 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-export QT_SELECT=5
 
 QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
 MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 QMAKE_OPTS="$(QMAKE_OPTS)"

## mx-tweak 19.09.01

=== debian/changelog ===
mx-tweak (19.09.01) mx; urgency=medium

  * adjusted hibernate detection function 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 08 Sep 2019 12:07:02 -0400

## mx-tweak 19.09.02

=== debian/changelog ===
mx-tweak (19.09.02) mx; urgency=medium

  * fixed invalid message on theme removal (nite coder) 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 22 Sep 2019 21:10:20 -0400

## mx-tweak 19.09.03

=== debian/changelog ===
mx-tweak (19.09.03) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 28 Sep 2019 15:02:39 -0400

## mx-tweak 19.10.01

=== debian/changelog ===
mx-tweak (19.10.01) mx; urgency=medium

  * adjust workspaces rows on vertical and horizontal flip 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 05 Oct 2019 10:57:22 -0400

## mx-tweak 19.10.02

=== debian/changelog ===
mx-tweak (19.10.02) mx; urgency=medium

  * update help file
  * fix typo 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 09 Oct 2019 20:55:02 -0400

=== debian/control ===
Source: mx-tweak
Section: admin
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Build-Depends:  qt5-default, qttools5-dev-tools, debhelper (>=7.0.50~)
Standards-Version: 3.9.5
Vcs-Git: git://github.com/mxlinux/mx-tweak.git

Package: mx-tweak
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mx-viewer, mx-tweak-data, compton, compton-conf
Description: MX Tweak
 MX Tweak is a tool for quick tweaks to the Xfce environment supplied with MX Linux

## mx-tweak 19.10.03

=== debian/changelog ===
mx-tweak (19.10.03) mx; urgency=medium

  * update help file 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 12 Oct 2019 13:19:45 -0400

## mx-tweak 19.10.04

=== debian/changelog ===
mx-tweak (19.10.04) mx; urgency=medium

  * fix custom themes when themes are in ~/.themes  

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 23 Oct 2019 22:02:00 -0400

## mx-tweak 19.10.05

=== debian/changelog ===
mx-tweak (19.10.05) mx; urgency=medium

  * fix removing user themesets 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 24 Oct 2019 17:20:27 -0400

## mx-tweak 19.11.01

=== debian/changelog ===
mx-tweak (19.11.01) mx; urgency=medium

  * adjust xfconf-query for background panel color to be language neutral 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 06 Nov 2019 18:14:06 -0500

## mx-tweak 19.11.02

=== debian/changelog ===
mx-tweak (19.11.02) mx; urgency=medium

  * update to look for new name of panel preferences 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Nov 2019 17:04:38 -0500

## mx-tweak 19.12.08

=== debian/changelog ===
mx-tweak (19.12.08) mx; urgency=medium

  * update translations
  * update icons on tray app
  * update help file

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 30 Dec 2019 14:59:26 -0500

mx-tweak (19.12.07) mx; urgency=medium

  * add tray mode, small brightness dialog 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 19 Dec 2019 21:53:51 -0500

mx-tweak (19.12.06) mx; urgency=medium

  * always set active, resolution and name when saving to xfconf 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 15 Dec 2019 20:06:02 -0500

mx-tweak (19.12.05) mx; urgency=medium

  * preserve existing gamma settings 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 15 Dec 2019 13:35:25 -0500

mx-tweak (19.12.04) mx; urgency=medium

  * misc. refinements, ready for translation 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 14 Dec 2019 23:28:53 -0500

mx-tweak (19.12.03) mx; urgency=medium

  * add resolution settings 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 14 Dec 2019 20:01:58 -0500

mx-tweak (19.12.02) mx; urgency=medium

  * use different xrandr initial scaling. 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 13 Dec 2019 19:13:42 -0500

mx-tweak (19.12.01) mx; urgency=medium

  * initial build with "display" tab

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 13 Dec 2019 16:07:22 -0500

## mx-tweak 19.12.09

=== debian/changelog ===
mx-tweak (19.12.09) mx; urgency=medium

  * fix stupid setupgamma problem. 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 30 Dec 2019 20:35:00 -0500

## mx-tweak 20.01.01

=== debian/changelog ===
mx-tweak (20.01.01) mx; urgency=medium

  * update launcher icon for tray app 
  * only allow one instance of tray app to launch

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 03 Jan 2020 20:05:27 -0500

## mx-tweak 20.01.02

=== debian/changelog ===
mx-tweak (20.01.02) mx; urgency=medium

  * update translations
  * change name of brightness tray app to brightness systray

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 30 Jan 2020 19:59:08 -0500

mx-tweak (20.01.01+2) mx; urgency=medium

  * revise to use radio buttons for super user prompt selection (chkboom)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 11 Jan 2020 21:48:22 -0500

mx-tweak (20.01.01+1) mx; urgency=medium

  * add user password for super user authentication option 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 10 Jan 2020 21:24:57 -0500

## mx-tweak 20.02.01

=== debian/changelog ===
mx-tweak (20.02.01) mx; urgency=medium

  * improve xfce check 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 04 Feb 2020 20:45:37 -0500

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 Package: mx-tweak
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, mx-viewer, mx-tweak-data, compton, compton-conf
+Depends: ${misc:Depends}, ${shlibs:Depends}, mx-viewer, mx-tweak-data, 
+Recommends: compton, compton-conf
 Description: MX Tweak
  MX Tweak is a tool for quick tweaks to the Xfce environment supplied with MX Linux

## mx-tweak 20.02.04

=== debian/changelog ===
mx-tweak (20.02.04) mx; urgency=medium

  * update help for userns switch 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 29 Feb 2020 22:36:04 -0500

mx-tweak (20.02.03) mx; urgency=medium

  * revised detection mechansim for userns
  * hide if switch not present  

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 29 Feb 2020 14:54:43 -0500

mx-tweak (20.02.02) mx; urgency=medium

  * provide switchable kernel user namespaces  

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Feb 2020 21:30:36 -0500

## mx-tweak 20.03.01

=== debian/changelog ===
mx-tweak (20.03.01) mx; urgency=medium

  * revise xrandr library search flags for gamma 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 10 Mar 2020 15:51:35 -0400

## mx-tweak 20.03.03

=== debian/changelog ===
mx-tweak (20.03.03) mx; urgency=medium

  * update control file 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 30 Mar 2020 22:59:50 -0400

## mx-tweak 20.04.01

=== debian/changelog ===
mx-tweak (20.04.01) mx; urgency=medium

  * allow running in non-Xfce environments
  * remove Xfce options in non-Xfce environments 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 10 Apr 2020 12:33:04 -0400

## mx-tweak 20.04.02

=== debian/changelog ===
mx-tweak (20.04.02) mx; urgency=medium

  * modify gamma capture routine 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 21 Apr 2020 21:42:26 -0400

## mx-tweak 20.05.01

=== debian/changelog ===
mx-tweak (20.05.01) mx; urgency=medium

  *  fix type in restore-system-brightness

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 10 May 2020 14:41:43 -0400

## mx-tweak 20.05.02

=== debian/changelog ===
mx-tweak (20.05.02) mx; urgency=medium

  * fix modsetting typo (for swamprabbit) 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 27 May 2020 20:28:25 -0400

## mx-tweak 20.06.01

=== debian/changelog ===
mx-tweak (20.06.01) mx; urgency=medium

  * brightness-systray icon change

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 08 Jun 2020 19:54:46 -0400

## mx-tweak 20.07.05

=== debian/changelog ===
mx-tweak (20.07.05) mx; urgency=medium

  * update help files 

 -- Dolphin Oracle <dolphin@littlebyte>  Sat, 11 Jul 2020 22:48:16 -0400

mx-tweak (20.07.04) mx; urgency=medium

  * further adjustment of plasma/kwin restart 

 -- Dolphin Oracle <dolphin@littlebyte>  Sat, 11 Jul 2020 20:19:42 -0400

mx-tweak (20.07.03) mx; urgency=medium

  * fix plasma/kwin restart 

 -- Dolphin Oracle <dolphin@littlebyte>  Sat, 11 Jul 2020 16:15:12 -0400

mx-tweak (20.07.02) mx; urgency=medium

  * plasma tab 

 -- Dolphin Oracle <dolphin@littlebyte>  Sat, 11 Jul 2020 15:40:16 -0400

mx-tweak (20.07.01) mx; urgency=medium

  * fluxbox tab 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 04 Jul 2020 16:42:54 -0400

## mx-tweak 20.07.06

=== debian/changelog ===
mx-tweak (20.07.06) mx; urgency=medium

  * adjust tray icon 

 -- Dolphin Oracle <dolphin@littlebyte>  Fri, 17 Jul 2020 21:53:28 -0400

## mx-tweak 20.07.07

=== debian/changelog ===
mx-tweak (20.07.07) mx; urgency=medium

  * add plasma systray icon adjustment 

 -- Dolphin Oracle <dolphin@littlebyte>  Mon, 20 Jul 2020 21:36:10 -0400

## mx-tweak 20.08.01

=== debian/changelog ===
mx-tweak (20.08.01) mx; urgency=medium

  * updated translations 

 -- Dolphin Oracle <dolphin@littlebyte>  Thu, 06 Aug 2020 23:32:49 -0400

## mx-tweak 20.08.02

=== debian/changelog ===
mx-tweak (20.08.02) mx; urgency=medium

  * prevent panel changes on first startup of mx-tweak 

 -- Dolphin Oracle <dolphin@littlebyte>  Sat, 08 Aug 2020 21:39:28 -0400

## mx-tweak 20.08.03

=== debian/changelog ===
mx-tweak (20.08.03) mx; urgency=medium

  * update kde reset script

 -- Dolphin Oracle <dolphin@littlebyte>  Mon, 10 Aug 2020 20:49:03 -0400

## mx-tweak 20.09.01

=== debian/changelog ===
mx-tweak (20.09.01) mx; urgency=medium

  *  add menu-migrate
  *  remove template copy to home folder

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 03 Sep 2020 23:04:26 -0400

## mx-tweak 20.09.02

=== debian/changelog ===
mx-tweak (20.09.02) mx; urgency=medium

  * fix pulling of fluxbox init settings 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 20 Sep 2020 10:57:10 -0400

## mx-tweak 20.11.01

=== debian/changelog ===
mx-tweak (20.11.01) mx; urgency=medium

  * for non-supported desktops, still show the Other/etc tab only.

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 24 Nov 2020 19:58:49 -0500

## mx-tweak 20.12.01

=== debian/changelog ===
mx-tweak (20.12.01) mx; urgency=medium

  * make sure ~/.local/share/mx-tweak-data exits

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 02 Dec 2020 18:23:18 -0500

## mx-tweak 20.12.02

=== debian/changelog ===
mx-tweak (20.12.02) mx; urgency=medium

  * update icons 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 11 Dec 2020 20:29:06 -0500

## mx-tweak 21.02.01

=== debian/changelog ===
mx-tweak (21.02.01) mx; urgency=medium

  * adjust fluxbox reset routines

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 12 Feb 2021 23:13:51 -0500

## mx-tweak 21.02.02

=== debian/changelog ===
mx-tweak (21.02.02) mx; urgency=medium

  * adjust tweak combo box building

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 25 Feb 2021 20:25:52 -0500

## mx-tweak 21.02.03mx19

=== debian/changelog ===
mx-tweak (21.02.03mx19) mx; urgency=medium

  * disable authentication choices if root is disabled

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 23 Sep 2021 19:35:38 -0400

## mx-tweak 21.03.01mx21

=== debian/changelog ===
mx-tweak (21.03.01mx21) mx; urgency=medium

  * revise theme page, revise hibernate 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 10 Mar 2021 20:58:30 -0500

mx-tweak (21.02.05mx21) mx; urgency=medium

  * adjust tweak combo box building

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 25 Feb 2021 21:06:33 -0500

mx-tweak (21.02.04mx21) mx; urgency=medium

  * remove systray frame toggle (systray frame no longer exists as of xfce 4.16)
  * add zoom_desktop toggle
  * change enable hibernate option on MX-21 and forward 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 24 Feb 2021 22:52:09 -0500

mx-tweak (21.02.03mx21) mx; urgency=medium

  * disable admin password selection if root account inactive 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 23 Feb 2021 20:41:03 -0500

mx-tweak (21.02.02mx21) mx; urgency=medium

  * support docklike & power-manager-plugin

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 22 Feb 2021 23:23:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mx-tweak
 Section: admin
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Maintainer: dolphinoracle <dolphinoracle@gmail.com>
 Build-Depends:  qt5-default, qttools5-dev-tools, debhelper (>=7.0.50~)
 Standards-Version: 3.9.5
 Vcs-Git: git://github.com/mxlinux/mx-tweak.git

## mx-tweak 21.03.04mx21

=== debian/changelog ===
mx-tweak (21.03.04mx21) mx; urgency=medium

  * update themer 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 24 Mar 2021 18:56:01 -0400

mx-tweak (21.03.03mx21) mx; urgency=medium

  * remove blank lines in icon and theme boxes 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 13 Mar 2021 23:57:15 -0500

mx-tweak (21.03.02mx21) mx; urgency=medium

  * reduce qdebug output 
  * add --verbose switch

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 13 Mar 2021 23:31:39 -0500

## mx-tweak 21.03.05mx21

=== debian/changelog ===
mx-tweak (21.03.05mx21) mx; urgency=medium

  * add libinput_touchpad toggle 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 24 Mar 2021 23:37:35 -0400

## mx-tweak 21.04.01mx21

=== debian/changelog ===
mx-tweak (21.04.01mx21) mx; urgency=medium

  * delay display page setup until display tab selected

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 17 Apr 2021 16:43:42 -0400

## mx-tweak 21.05.01mx21

=== debian/changelog ===
mx-tweak (21.05.01mx21) mx; urgency=medium

  * add nocsd toggle for gtk3, present with gtk3-nocsd is installed 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 05 May 2021 23:18:47 -0400

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,6 @@
 Package: mx-tweak
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, mx-viewer, mx-tweak-data, 
-Recommends: compton, compton-conf
+Recommends: compton, compton-conf, gtk3-nocsd
 Description: MX Tweak
  MX Tweak is a tool for quick tweaks to the Xfce environment supplied with MX Linux

## mx-tweak 21.05.02mx21

=== debian/changelog ===
mx-tweak (21.05.02mx21) mx; urgency=medium

  * remove debug info from Xsession  

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 06 May 2021 22:54:31 -0400

## mx-tweak 21.06.01mx21

=== debian/changelog ===
mx-tweak (21.06.01mx21) mx; urgency=medium

  * add docklike plugin settings to panel tab 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 10 Jun 2021 17:08:48 -0400

## mx-tweak 21.08.01mx21

=== debian/changelog ===
mx-tweak (21.08.01mx21) mx; urgency=medium

  * change gtk scaling box size 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 01 Aug 2021 15:23:22 -0400

mx-tweak (21.06.01mx21+1) mx; urgency=medium

  * nocsd debug info

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 21 Jul 2021 21:01:58 -0400

## mx-tweak 21.08.02mx21

=== debian/changelog ===
mx-tweak (21.08.02mx21) mx; urgency=medium

  * search for folders for themes 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 04 Aug 2021 23:15:27 -0400

## mx-tweak 21.08.03mx21

=== debian/changelog ===
mx-tweak (21.08.03mx21) mx; urgency=medium

  * restart panel when preferences are selected and solid color is panel setting

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 30 Aug 2021 18:40:26 -0400

## mx-tweak 21.09.01mx21

=== debian/changelog ===
mx-tweak (21.09.01mx21) mx; urgency=medium

  * remove ptrace check from kernel sandbox check 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 06 Sep 2021 10:43:39 -0400

## mx-tweak 21.09.02mx21

=== debian/changelog ===
mx-tweak (21.09.02mx21) mx; urgency=medium

  * revise size of fluxbox spinboxes 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 15 Sep 2021 20:12:40 -0400

## mx-tweak 21.09.03mx21

=== debian/changelog ===
mx-tweak (21.09.03mx21) mx; urgency=medium

  * new translations
  * radio buttons on panel tab 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 25 Sep 2021 21:35:58 -0400

## mx-tweak 21.10.01mx21

=== debian/changelog ===
mx-tweak (21.10.01mx21) mx; urgency=medium

  * set postition fuction from mx-usb-unmounter (adrian) 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 11 Oct 2021 20:31:08 -0400

## mx-tweak 21.10.02mx21

=== debian/changelog ===
mx-tweak (21.10.02mx21) mx; urgency=medium

  * use time stamp on backup instead of popup

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 29 Oct 2021 19:03:26 -0400

## mx-tweak 21.12.01mx21

=== debian/changelog ===
mx-tweak (21.12.01mx21) mx; urgency=medium

  * change xrandr parsing for brightness

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 09 Dec 2021 22:50:07 -0500

## mx-tweak 22.01.01mx21

=== debian/changelog ===
mx-tweak (22.01.01mx21) mx; urgency=medium

  * fix xrandr resolution harvesting

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 22 Jan 2022 17:10:09 -0500

## mx-tweak 22.01.02mx21

=== debian/changelog ===
mx-tweak (22.01.02mx21) mx; urgency=medium

  * handle spaces in theme file names 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 28 Jan 2022 18:42:58 -0500

## mx-tweak 22.07.01mx21

=== debian/changelog ===
mx-tweak (22.07.01mx21) mx; urgency=medium

  * fix building of theme lists when theme set chooser is used
  * sort alphabetical even if theme name is lowercase
  * many style changes and optimizations (thanks adrian) 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 03 Jul 2022 22:24:38 -0400

## mx-tweak 22.07.02mx21

=== debian/changelog ===
mx-tweak (22.07.02mx21) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 12:32:01 -0400

=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,4 @@
 override_dh_usrlocal:
 
 %:
-	dh $@ --parallel 
+	dh $@ --no-automatic-dbgsym --parallel

## mx-tweak 22.10.01mx21

=== debian/changelog ===
mx-tweak (22.10.01mx21) mx; urgency=medium

  * fluxbox themer function, show/hide fluxbox toolbar
  * KDE single click fix 
  * make checkXfce more reliable

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 01 Oct 2022 22:43:18 -0400

mx-tweak (22.8mx21) mx; urgency=medium

  * Remove mx-viewer dependency

 -- Adrian <adrian@mxlinux.org>  Tue, 02 Aug 2022 19:12:44 -0400

## mx-tweak 22.10.03mx21

=== debian/changelog ===
mx-tweak (22.10.03mx21) mx; urgency=medium

  * update help, translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 11 Oct 2022 21:04:51 -0400

mx-tweak (22.10.02mx21) mx; urgency=medium

  * support multiple xfce backups

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 08 Oct 2022 10:18:14 -0400

## mx-tweak 22.12.01mx21

=== debian/changelog ===
mx-tweak (22.12.01mx21) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 04 Dec 2022 11:16:22 -0500

mx-tweak (22.10.05mx21) mx; urgency=medium

  * add install_recommends option

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 30 Oct 2022 20:58:37 -0400

mx-tweak (22.10.04mx21) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 19:38:43 -0400

## mx-tweak 22.12.02mx21

=== debian/changelog ===
mx-tweak (22.12.02mx21) mx; urgency=medium

  * fix desktop files 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 04 Dec 2022 17:27:42 -0500

## mx-tweak 22.12.03mx21

=== debian/changelog ===
mx-tweak (22.12.03mx21) mx; urgency=medium

  * fix lib
  * 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 06 Dec 2022 18:04:41 -0500

## mx-tweak 22.12.04mx21

=== debian/changelog ===
mx-tweak (22.12.04mx21) mx; urgency=medium

  * disable/enable kde autoenable of bluetooth adapters when bluetooth option toggled 
  * update reset-kde script

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 11 Dec 2022 12:05:32 -0500

## mx-tweak 22.12.05mx21

=== debian/changelog ===
mx-tweak (22.12.05mx21) mx; urgency=medium

  * add explainer for Xfce CSD toggle in 4.18 and up 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 15 Dec 2022 18:31:03 -0500

## mx-tweak 23.01.01mx21

=== debian/changelog ===
mx-tweak (23.01.01mx21) mx; urgency=medium

  * add thunar split view functions

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 17 Jan 2023 22:33:21 -0500

=== debian/control ===
Source: mx-tweak
Section: admin
Priority: optional
Maintainer: dolphinoracle <dolphinoracle@gmail.com>
Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
Standards-Version: 3.9.5
Vcs-Git: git://github.com/mxlinux/mx-tweak.git

Package: mx-tweak
Architecture: any
Depends: ${misc:Depends},
        ${shlibs:Depends},
        mx-viewer | xdg-utils,
        mx-tweak-data
Recommends: compton,
        compton-conf,
        gtk3-nocsd
Description: MX Tweak
 MX Tweak is a tool for quick tweaks to the Xfce environment supplied with MX Linux

## mx-tweak 23.01.04mx21

=== debian/changelog ===
mx-tweak (23.01.04mx21) mx; urgency=medium

  * fix thunar single click setup

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 16 May 2023 22:57:25 -0400

mx-tweak (23.01.03mx21) mx; urgency=medium

  * fix backup function when .restore doesn't exist 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 21 Jan 2023 16:18:16 -0500

mx-tweak (23.01.02mx21) mx; urgency=medium

  * add fluxbox thunar actions

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 21 Jan 2023 13:44:01 -0500

## mx-tweak 23.01.05mx21

=== debian/changelog ===
mx-tweak (23.01.05mx21) mx; urgency=medium

  * cleanup setting of singleclick status on root KDE instances (dolphin)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 11 Nov 2023 18:34:10 -0500

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease mx-tweak.pro
+	lrelease translations/*.ts
+	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
 	dh_auto_build -- $(MAKE_OPTS)
 
 override_dh_auto_install:

## mx-tweak 23.04.01

=== debian/changelog ===
mx-tweak (23.04.01) mx; urgency=medium

  * add feature to switch docklike for tasklist

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 01 Apr 2023 19:38:04 -0400

## mx-tweak 23.04.02mx23

=== debian/changelog ===
mx-tweak (23.04.02mx23) mx; urgency=medium

  * update for bookworm polkit configuration
  * use 10-default-mx.rules for authentication override instead of 55-tweak-override.conf

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 07 Apr 2023 20:08:06 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease translations/*.ts
+	lrelease mx-tweak.pro
 	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
 	dh_auto_build -- $(MAKE_OPTS)

## mx-tweak 23.04.04mx23

=== debian/changelog ===
mx-tweak (23.04.04mx23) mx; urgency=medium

  * use gsettings tool to change gtk4 theme

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 09 Apr 2023 17:20:44 -0400

mx-tweak (23.04.03mx23) mx; urgency=medium

  * adjust internal mount option

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 09 Apr 2023 10:25:18 -0400

## mx-tweak 23.04.05mx23

=== debian/changelog ===
mx-tweak (23.04.05mx23) mx; urgency=medium

  * remove non-working plasma systray icon size function
  * new menu icons
  * Xfce panel plugin scaling
  * toggle percentages on gauge style notifications (audio volume, brightness)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 13 Apr 2023 20:02:01 -0400

## mx-tweak 23.04.06mx23

=== debian/changelog ===
mx-tweak (23.04.06mx23) mx; urgency=medium

  * add toggle for automatic generation of fluxbox menu 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 22 Apr 2023 11:27:31 -0400

## mx-tweak 23.04.07mx23

=== debian/changelog ===
mx-tweak (23.04.07mx23) mx; urgency=medium

  * add missing css file 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 24 Apr 2023 17:23:58 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 Depends: ${misc:Depends},
         ${shlibs:Depends},
         mx-viewer | xdg-utils,
-        mx-tweak-data
+        mx-tweak-data,
+        libglib2.0-bin
 Recommends: compton,
         compton-conf,
         gtk3-nocsd

## mx-tweak 23.04.08mx23

=== debian/changelog ===
mx-tweak (23.04.08mx23) mx; urgency=medium

  * add --theme switch
  * use QCommandParser for switch processing
  * cleanup some qDebug output

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 30 Apr 2023 21:54:38 -0400

## mx-tweak 23.05.03mx23

=== debian/changelog ===
mx-tweak (23.05.03mx23) mx; urgency=medium

  * don't pkill preview-mx (it will close itself on focus loss)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 12 May 2023 20:18:51 -0400

mx-tweak (23.05.02mx23) mx; urgency=medium

  * use preview-mx to display sample gtk window
  * use fluxbox-remote reconfigure to reload styles

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 09 May 2023 23:32:17 -0400

mx-tweak (23.05.01mx23) nx; urgency=medium

  * full theme module for fluxbox
  * use restart instead of reconfigure for fluxbox style updates

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 01 May 2023 23:03:45 -0400

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,6 @@
         libglib2.0-bin
 Recommends: compton,
         compton-conf,
-        gtk3-nocsd
+        preview-mx,
 Description: MX Tweak
  MX Tweak is a tool for quick tweaks to the Xfce environment supplied with MX Linux

## mx-tweak 23.05.07mx23

=== debian/changelog ===
mx-tweak (23.05.07mx23) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 13 May 2023 19:48:27 -0400

mx-tweak (23.05.06mx23) mx; urgency=medium

  * remove libinput overrides

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 13 May 2023 13:29:15 -0400

mx-tweak (23.05.05mx23) mx; urgency=medium

  * use fluxbox-remote reloadstyle to load menu style properly
  * set dark mode switch properly in settings.ini
  * branch off fluxbox gtk preview so Qt list widgets change selection properly 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 13 May 2023 11:26:15 -0400

mx-tweak (23.05.04mx23) mx; urgency=medium

  * fix column labels
  * mx-launcher-l10n strings in policy file

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 12 May 2023 22:30:57 -0400

## mx-tweak 23.05.08mx23

=== debian/changelog ===
mx-tweak (23.05.08mx23) mx; urgency=medium

  * update icons
  * set thunar single click properly when no preexisting config exists 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 15 May 2023 17:59:53 -0400

## mx-tweak 23.05.10mx23

=== debian/changelog ===
mx-tweak (23.05.10mx23) mx; urgency=medium

  * adjust theme setting
  * correct check for gtk2 icon theme setting

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 17 May 2023 19:47:39 -0400

mx-tweak (23.05.09mx23) mx; urgency=medium

  * update logo 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 17 May 2023 00:32:32 -0400

## mx-tweak 23.05.11mx23

=== debian/changelog ===
mx-tweak (23.05.11mx23) mx; urgency=medium

  * allow smaller resizing 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 21 May 2023 19:55:38 -0400

## mx-tweak 23.05.12mx23

=== debian/changelog ===
mx-tweak (23.05.12mx23) mx; urgency=medium

  * fix setting of gtk2 themes
  * improve fluxbox theme setting
  * fix misplaced boolean type on thunar single click action

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 23 May 2023 19:08:15 -0400

## mx-tweak 23.06.01mx23

=== debian/changelog ===
mx-tweak (23.06.01mx23) mx; urgency=medium

  * add mouse cursor theme setting

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 04 Jun 2023 18:41:42 -0400

## mx-tweak 23.06.02mx23

=== debian/changelog ===
mx-tweak (23.06.02mx23) mx; urgency=medium

  * add blackbird special case "darkmode" detection
  * update translations
  * add explainer text to mxfb menu disable file
  * add "other" switch

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 11 Jun 2023 23:47:40 -0400

## mx-tweak 23.06.03mx23

=== debian/changelog ===
mx-tweak (23.06.03mx23) mx; urgency=medium

  * fix tab selector switches 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 13 Jun 2023 18:27:49 -0400

## mx-tweak 23.07.01mx23

=== debian/changelog ===
mx-tweak (23.07.01mx23) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 06 Jul 2023 19:37:36 -0400

## mx-tweak 23.07.02mx23

=== debian/changelog ===
mx-tweak (23.07.02mx23) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 17 Jul 2023 19:54:16 -0400

## mx-tweak 23.08.01mx23

=== debian/changelog ===
mx-tweak (23.08.01mx23) mx; urgency=medium

  * update help files

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 19 Aug 2023 22:35:17 -0400

## mx-tweak 23.09.01mx23

=== debian/changelog ===
mx-tweak (23.09.01mx23) mx; urgency=medium

  * add screen blanking timeout to fluxbox tab

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 03 Sep 2023 13:04:56 -0400

## mx-tweak 23.10.01mx23

=== debian/changelog ===
mx-tweak (23.10.01mx23) mx; urgency=medium

  * explicity inital desktop check variables as false

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 17 Oct 2023 18:22:29 -0400

## mx-tweak 23.11.01mx23

=== debian/changelog ===
mx-tweak (23.11.01mx23) mx; urgency=medium

  * cleanup setting of singleclick status on root KDE instances (dolphin)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 11 Nov 2023 18:11:50 -0500

## mx-tweak 23.12.01mx23

=== debian/changelog ===
mx-tweak (23.12.01mx23) mx; urgency=medium

  * add configuration of xfce-superkey .conf file
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 09 Dec 2023 14:40:43 -0500

## mx-tweak 24.01.01mx23

=== debian/changelog ===
mx-tweak (24.01.01mx23) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 09 Jan 2024 23:10:02 -0500

## mx-tweak 24.02.01mx23

=== debian/changelog ===
mx-tweak (24.02.01mx23) mx; urgency=medium

  * add enable/disable of auto updates for debian and liquorix kernels when metapackages are installed.
  * update translations
  * update help file

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 11 Feb 2024 20:04:54 -0500

## mx-tweak 24.03.01mx23

=== debian/changelog ===
mx-tweak (24.03.01mx23) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Mar 2024 13:05:49 -0400

## mx-tweak 24.04.01mx23

=== debian/changelog ===
mx-tweak (24.04.01mx23) mx; urgency=medium

  * add size paramter to mouse cursor chooser 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 04 Apr 2024 18:23:48 -0400

## mx-tweak 24.07.01mx23

=== debian/changelog ===
mx-tweak (24.07.01mx23) mx; urgency=medium

  * revise dark check to be case insensitive

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 14 Jul 2024 18:54:58 -0400

## mx-tweak 24.08.01mx23

=== debian/changelog ===
mx-tweak (24.08.01mx23) mx; urgency=medium

  * add enable-disable switch for plasma-discover (kde tab)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 17 Aug 2024 15:52:44 -0400

## mx-tweak 24.09.01mx23

=== debian/changelog ===
mx-tweak (24.09.01mx23) mx; urgency=medium

  * add set hostname function 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 23 Sep 2024 20:50:19 -0400

## mx-tweak 24.10.01mx23

=== debian/changelog ===
mx-tweak (24.10.01mx23) mx; urgency=medium

  * add Bluetooth battery dbus feature enable/disable

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 13 Oct 2024 16:44:45 -0400

## mx-tweak 24.11.01mx23

=== debian/changelog ===
mx-tweak (24.11.01mx23) mx; urgency=medium

  * add display manager chooser if more than one display manager installed

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 02 Nov 2024 17:19:51 -0400

## mx-tweak 24.11.02mx23

=== debian/changelog ===
mx-tweak (24.11.02mx23) mx; urgency=medium

  * add KDE theme tab

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 14 Nov 2024 19:44:12 -0500

## mx-tweak 24.11.03mx23

=== debian/changelog ===
mx-tweak (24.11.03mx23) mx; urgency=medium

  * fix localization on theme tab
  * update translations 

 -- Dolphin Oracle <dolphin@dolphin>  Mon, 18 Nov 2024 08:38:47 -0500

## mx-tweak 24.12.01mx23

=== debian/changelog ===
mx-tweak (24.12.01mx23) mx; urgency=medium

  * add switch for disabling kvm module early loading
  * overrides new defualt in kernel 6.12
  * disabling currently necessary for apps like virtuabox to load their modules

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 14 Dec 2024 13:41:20 -0500

## mx-tweak 24.12.02mx23

=== debian/changelog ===
mx-tweak (24.12.02mx23) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 20 Dec 2024 19:29:44 -0500

## mx-tweak 24.12.03mx23

=== debian/changelog ===
mx-tweak (24.12.03mx23) mx; urgency=medium

  * fix liquorix enable/disable updates function

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 31 Dec 2024 11:00:13 -0500

## mx-tweak 25.01.01mx23

=== debian/changelog ===
mx-tweak (25.01.01mx23) mx; urgency=medium

  * fluxbox style select bug fix
  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 16 Jan 2025 21:20:12 -0500

## mx-tweak 25.02.01mx23

=== debian/changelog ===
mx-tweak (25.02.01mx23) mx; urgency=medium

  * fix popup for tray utility when notification message button is clicked on
  * fix --display switch

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 17 Feb 2025 19:33:55 -0500

## mx-tweak 25.04.03mx23

=== debian/changelog ===
mx-tweak (25.04.03mx23) mx; urgency=medium

  * allow for future custom mx-fluxbox styles 
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 25 Apr 2025 21:00:19 -0400

## mx-tweak 25.04.04mx23

=== debian/changelog ===
mx-tweak (25.04.04mx23) mx; urgency=medium

  * filter out attributions from fluxbox style list

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 28 Apr 2025 19:13:02 -0400

## mx-tweak 25.04.05mx23

=== debian/changelog ===
mx-tweak (25.04.05mx23) mx; urgency=medium

  * fix permissions and compton-launch.sh

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 09 Jun 2025 18:31:24 -0400

=== debian/control ===
--- 
+++ 
@@ -16,5 +16,6 @@
 Recommends: compton,
         compton-conf,
         preview-mx,
+        mx-launcher-l10n
 Description: MX Tweak
  MX Tweak is a tool for quick tweaks to the Xfce environment supplied with MX Linux

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease mx-tweak.pro
+	lrelease -removeidentical -nounfinished translations/*.ts
 	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
 	dh_auto_build -- $(MAKE_OPTS)
